# This file is invoked for GUI-sessions of Nuke
# Default settings for Compositing-Vorlesung
# by Peter Ruhrmann

# Set default frame size to 1920x1080
nuke.knobDefault("Root.format", "HD_1080")

# disable color-management for teaching purposes
nuke.knobDefault("Root.int8Lut", "linear")
nuke.knobDefault("Root.int16Lut", "linear")
nuke.knobDefault("Root.monitorLut", "linear")
nuke.knobDefault("Root.logLut", "linear")
nuke.knobDefault("Root.floatLut", "linear")
nuke.knobDefault('Read.mov.colorspace', 'linear') # needed for Quicktime-files
nuke.knobDefault('Viewer.viewerProcess', 'None') # Disable LUT in viewer

# Default tool-settings
# Set default ramp to a horizontal gradient for HD 1080
nuke.knobDefault("Ramp.p0", "0 100")
nuke.knobDefault("Ramp.p1", "1919 100")

# Keep max 2 tools open in properties panel
nuke.toNode('preferences')['maxPanels'].setValue(2)

#adding HdM toolbar and tools

#toolbar=nuke.menu("Nodes")
h=toolbar.addMenu("HdM",icon="HdM_Menu_neu.png")

#h.addCommand("HdM_unspill_v01", 'nuke.createNode("HdM_unspill_v01")', icon="HdM_unspill_neu.png")
h.addCommand( "HdM_SliceTool", "nuke.createNode('HdM_SliceTool')", icon="HdM_SliceTool_neu.png")


# For later use
# nuke.ViewerProcess.register("Sony_SGamut3CineSlog3_To_LC-709", nuke.createNode, ("Vectorfield", "vfield_file i:/_pipeline/nukeTools/luts/SGamut3CineSLog3_To_LC-709.cube colorspaceIn SLog3"))
#nuke.ViewerProcess.register("AlexaV3LogC_Rec709", nuke.createNode, ("Vectorfield", "vfield_file I:/_pipeline/nukeTools/AM-COMPOSITING-USER/AlexaV3_K1S1_LogC2Video_Rec709_EE_nuke3d.cube colorspaceIn AlexaV3LogC"))
